From 72b49f489fccab93864904c3729ca502f9a28b9b Mon Sep 17 00:00:00 2001
From: akushley <akushley>
Date: Mon, 28 Feb 2022 16:09:48 -0500
Subject: [PATCH] fix pmic L22 voltage from 2.5V to 2.8V

Change-Id: I297ad29eb1da5d8fd6aea57a0f05067817060edd
---
 arch/arm/boot/dts/qcom/apq8096-camera-sensor-drone.dtsi | 4 ++--
 arch/arm/boot/dts/qcom/apq8096-drone.dtsi               | 7 +++----
 2 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/arch/arm/boot/dts/qcom/apq8096-camera-sensor-drone.dtsi b/arch/arm/boot/dts/qcom/apq8096-camera-sensor-drone.dtsi
index 0e83f8c..7f554c8 100644
--- a/arch/arm/boot/dts/qcom/apq8096-camera-sensor-drone.dtsi
+++ b/arch/arm/boot/dts/qcom/apq8096-camera-sensor-drone.dtsi
@@ -144,8 +144,8 @@
 		cam_vio-supply = <&pm8994_lvs1>;
 		cam_vana-supply = <&pm8994_l22>;
 		qcom,cam-vreg-name = "cam_vdig", "cam_vio", "cam_vana";
-		qcom,cam-vreg-min-voltage = <1100000 0 2500000>;
-		qcom,cam-vreg-max-voltage = <1100000 0 2500000>;
+		qcom,cam-vreg-min-voltage = <1100000 0 2800000>;
+		qcom,cam-vreg-max-voltage = <1100000 0 2800000>;
 		qcom,cam-vreg-op-mode = <105000 0 80000>;
 		qcom,gpio-no-mux = <0>;
 		pinctrl-names = "cam_default", "cam_suspend";
diff --git a/arch/arm/boot/dts/qcom/apq8096-drone.dtsi b/arch/arm/boot/dts/qcom/apq8096-drone.dtsi
index a259c0a..da34e50 100644
--- a/arch/arm/boot/dts/qcom/apq8096-drone.dtsi
+++ b/arch/arm/boot/dts/qcom/apq8096-drone.dtsi
@@ -457,9 +457,9 @@
 	rpm-regulator-ldoa22 {
 		status = "okay";
 		pm8994_l22: regulator-l22 {
-			regulator-min-microvolt = <2500000>;
-			regulator-max-microvolt = <2500000>;
-			qcom,init-voltage = <2500000>;
+			regulator-min-microvolt = <2800000>;
+			regulator-max-microvolt = <2800000>;
+			qcom,init-voltage = <2800000>;
 			status = "okay";
 		};
 	};
@@ -832,4 +832,3 @@
 		drive-strength = <8>; /* 8 MA */
 	};
 };
-
-- 
2.7.4

